.titleBar { margin-bottom: 5px!important; }

Kernel 2.4: ds-0.2.9-p8

Dieses Thema im Forum "Freetz" wurde erstellt von kriegaex, 28 Apr. 2007.

  1. kriegaex

    kriegaex Aktives Mitglied

    Registriert seit:
    7 Nov. 2006
    Beiträge:
    2,927
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Beruf:
    Projektmanagement-Coach (Certified Scrum Professio
    Ort:
    Großraum Nürnberg
    #1 kriegaex, 28 Apr. 2007
    Zuletzt bearbeitet: 12 Juli 2007
    Vorwort
    Nachdem es in letzter Zeit diverse sinnlose, zeitraubende Supportfälle gegeben hat, weil Benutzer Probleme mit dem Patchen hatten, die richtigen Patches nicht fanden oder die Patches zu ds-0.2.9 (Kernel 2.4) auf ds26-14.x (Kernel 2.6) anzuwenden versuchten, habe ich beschlossen, dem Patchen für die Benutzer mit den "alten" Boxen auch ein Ende zu machen. Deshalb biete ich hier einen Komplett-Download ohne Patch an, den ich ds-0.2.9-p8 genannt habe.

    Inhalt und Ursprung
    Dieses Paket enthält folgende Bestandteile:
    • Original-Paket ds-0.2.9 von danisahne für Firmwares mit Kernel 2.4
    • Patch 7 von olistudent, welcher auch die Patches 1-6 einschließt
    • Patch für tar-1.15.1 von kriegaex zum Bauen von FW-Images, die vom alten Tar auf den Boxen auch richtig entpackt werden können
    • NEU in p8 als Bonbon: aktualisiertes Menuconfig von kriegaex mit ausführlicher Online-Hilfe, Suchfunktion und Anzeige von Top-Down- bzw. Bottom-Up-Abhängigkeiten, funktional identisch mit dem, was es inzwischen auch in ds26 gibt (Beschreibung stammt auch von ds26-14.3, nicht verwirren lassen).
    Wichtig
    • Nochmal zur Wiederholung: Dieses Paket ersetzt alles vorher Genannte, es benötigt keine weiteren Patches!!!!!
    • Nicht gefundene Downloads von eiband.info: Die Frage habe ich (kriegaex) dort bereits beantwortet, ebenfalls hier die Wiederholung: Danisahne hat die Domain eiband.info aufgegeben, alle Pakete kann man sich von den DS-Mod-Mirrors holen (einfach Dateiname an Mirror-Adresse anhängen) und direkt im Verzeichnis dl ablegen (Mirror-Liste siehe Link).
     

    Anhänge:

  2. silberwolf

    silberwolf Mitglied

    Registriert seit:
    11 Nov. 2006
    Beiträge:
    247
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Beruf:
    Rettungssanitäter
    Ort:
    Nähe Hamburg
    So, hab nun meine alte FB Fon WLAN auch mal "gemodded".
    Der ds-0.2.9-p8 funktioniert hervorragend.
    Vielen Dank, krigaex. Ich hatte bisher keine Lust mich durch alle Threads mit den Patches durchzuwühlen. So wird einem das um längen vereinfacht.:groesste:
     
  3. xxolli

    xxolli Neuer User

    Registriert seit:
    24 März 2006
    Beiträge:
    158
    Zustimmungen:
    0
    Punkte für Erfolge:
    16
    Wo finde ich im Menü die 7170 bzw. was muss ich denn unter Custom einstellen?
     
  4. hermann72pb

    hermann72pb IPPF-Promi

    Registriert seit:
    6 Nov. 2005
    Beiträge:
    3,564
    Zustimmungen:
    0
    Punkte für Erfolge:
    36
    xxolli, gibt es einen Grund mit einer 7170 den "alten" mod zu nehmen?

    MfG

    Hermann
     
  5. silberwolf

    silberwolf Mitglied

    Registriert seit:
    11 Nov. 2006
    Beiträge:
    247
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Beruf:
    Rettungssanitäter
    Ort:
    Nähe Hamburg
    Du bist bei der falschen Firmware. Du brauchst die ds26-14.4. Diese findest Du hier.
     
  6. xxolli

    xxolli Neuer User

    Registriert seit:
    24 März 2006
    Beiträge:
    158
    Zustimmungen:
    0
    Punkte für Erfolge:
    16
    Bin beim 2.4er-Kernel leider nicht falsch, da ich ein Addon nutze das unter dem 2.6er nicht läuft.
     
  7. silberwolf

    silberwolf Mitglied

    Registriert seit:
    11 Nov. 2006
    Beiträge:
    247
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Beruf:
    Rettungssanitäter
    Ort:
    Nähe Hamburg
    Achso, da kann ich spontan nicht wirklich weiterhelfen *Zepter an kriegaex weiterreich*
    Auf jeden Fall musst Du "Custom" wählen und alles selber einstellen, wie Kernelgröße, "Has USB", "Has WLAN", "Has Phon" etc.

    Edit: Müssten sich die Parameter nicht aus dem Makefile der ds26-14.4 ablesen lassen?

    Aber mal interessehalber: Welches Addon ist es denn?
     
  8. olistudent

    olistudent IPPF-Urgestein

    Registriert seit:
    19 Okt. 2004
    Beiträge:
    14,756
    Zustimmungen:
    2
    Punkte für Erfolge:
    0
    Beruf:
    Softwareentwickler
    Ort:
    Kaiserslautern
    Versuchs mal mit dem original dsmod-0.2.9 und p2. Link

    MfG Oliver
     
  9. xxolli

    xxolli Neuer User

    Registriert seit:
    24 März 2006
    Beiträge:
    158
    Zustimmungen:
    0
    Punkte für Erfolge:
    16
    #9 xxolli, 2 Mai 2007
    Zuletzt bearbeitet: 2 Mai 2007
    Der Camd3, gibt es zwar auch für 2.6er-Kernel, läuft aber auf der Fritz nur ca 10 Sekunden und ist damit unbrauchbar.

    EDIT: Ihr verwirrt mich gerade!?
    @olistudent
    Soll ich da nach der Konfig gucken oder den dsmod von da nehmen?
     
  10. olistudent

    olistudent IPPF-Urgestein

    Registriert seit:
    19 Okt. 2004
    Beiträge:
    14,756
    Zustimmungen:
    2
    Punkte für Erfolge:
    0
    Beruf:
    Softwareentwickler
    Ort:
    Kaiserslautern
    Du willst einen dsmod für die Firmware 29.04.25 bauen und der ist im ds-0.2.9-p2.
    Oder hab ich was falsch verstanden?

    MfG Oliver
     
  11. xxolli

    xxolli Neuer User

    Registriert seit:
    24 März 2006
    Beiträge:
    158
    Zustimmungen:
    0
    Punkte für Erfolge:
    16
    Genau das will ich.
    Das heisst dann also, dass der p8 nicht für diese Firmware ist?
     
  12. olistudent

    olistudent IPPF-Urgestein

    Registriert seit:
    19 Okt. 2004
    Beiträge:
    14,756
    Zustimmungen:
    2
    Punkte für Erfolge:
    0
    Beruf:
    Softwareentwickler
    Ort:
    Kaiserslautern
    Theoretisch schon. In der Praxis fehlen die Einstellungen und wohl auch die Patches. Aber die bftpd-Version wird die gleiche sein.

    MfG Oliver
     
  13. brainmue

    brainmue Neuer User

    Registriert seit:
    24 Juli 2006
    Beiträge:
    4
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Danke erstmal an kriegaex.
    Super das Du das mit den Patchs gemacht hast. :groesste:

    Ich hab aber mal noch eine andere Frage.
    Kann man eigentlich in der 2.4 Kernel Version auch Busybox und dropbear austauschen.
    Ich würde es gerne mal auf neuere Versionen patchen.
    Vielleicht Busybox 1.5 und dropbear 0.49

    Gruß
    Michael
     
  14. kriegaex

    kriegaex Aktives Mitglied

    Registriert seit:
    7 Nov. 2006
    Beiträge:
    2,927
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Beruf:
    Projektmanagement-Coach (Certified Scrum Professio
    Ort:
    Großraum Nürnberg
    #14 kriegaex, 8 Mai 2007
    Zuletzt bearbeitet: 8 Mai 2007
    Pakete in ds-0.2.9 aktualisieren, z.B. Dropbear

    Ja, kann man grundsätzlich. Ggf. benötigt man Patches, damit es funktioniert, das unterscheidet sich von Programm zu Programm. Dropbear 0.49 haben wir im ds26 auch, allerdings offiziell keine Busybox 1.5, wir sind noch auf 1.4.1. Ich schaue mal schnell, ob ich das Dropbear-Paket durchkompiliert bekomme und melde mich dann nochmal hier. Viel Arbeit stecke ich aber nicht rein.

    Update: Der Build für Dropbear 0.49 läuft bei mir sauber durch. Ob das Paket dann aber auf der Box auch läuft, weiß ich nicht, das müßte jemand testen. Da ich meinen ds-0.2.9 schon so umgestellt habe, daß er auch die ds26-Mirrors zum Download nutzt und somit leicht veränderte Makefiles und Menükonfiguration hat, kann ich es Dir nicht 1:1 schicken, aber evtl. veröffentliche ich demnächst nochmal eine neue Version mit dieser Infrastruktur. Dann könnte man mal probieren, Packages aus ds26 1:1 zu übernehmen und schauen, wie weit man kommt. Ich überlege noch, der alte Mod ist im Grunde auf Eis.
     
  15. brainmue

    brainmue Neuer User

    Registriert seit:
    24 Juli 2006
    Beiträge:
    4
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Super, danke!
    Warum baut Ihr das eigentlich nicht auch in die alte Version ein! Du Patch ja immer so fleissig.
    Macht das eigentlich keinen Sinn mit einer alten Fritz.Box?

    Gruß
    Michael
     
  16. MaxMuster

    MaxMuster IPPF-Promi

    Registriert seit:
    1 Feb. 2005
    Beiträge:
    6,919
    Zustimmungen:
    0
    Punkte für Erfolge:
    36
    Hallo Michael,

    naja, man hofft halt auch für die letzten Boxen in Kürze auf den 2.6-er Kernel (da es den ja für die "alte" Firtz!Box Fon schon gibt, stehen die Chancen nicht schlecht). Dann muss man nicht zwei Linien Pflegen...
    Aber zugegebener Maßen, der alte Kernel hat zumindest vom Speicherplatzverbrauch Vorteile ;-)

    Jörg
     
  17. brainmue

    brainmue Neuer User

    Registriert seit:
    24 Juli 2006
    Beiträge:
    4
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Das wäre natürlich toll! Aber leider ist doch der LiveTime Support von AVM schon abgelaufen, oder habe ich das falsch in Erinnerung!
    Glaubt Ihr dann wirklich noch ein ein Patch!
    Ich dachte eher, das die jetzt nichts mehr machen.

    Gruß
    Michael!
     
  18. MaxMuster

    MaxMuster IPPF-Promi

    Registriert seit:
    1 Feb. 2005
    Beiträge:
    6,919
    Zustimmungen:
    0
    Punkte für Erfolge:
    36
    Hallo,

    jetzt wird es zwar etwas OT, aber dennoch:
    Die 2.6-er Version für die FBF kam am 25.4. raus, also auch nach dem EOM. Und für die FBF WLAN hat sich AVM zumindest schonmal zu der Aussage verstiegen, dass es noch einer Version gäbe (http://www.ip-phone-forum.de/showpost.php?p=841219&postcount=87), auch läuft wohl auf Grund der Hardware-Nähe prinzipiell sogar die FBF-Firmware (mit verändertem Bootloader) auf der WLAN-Box (http://www.ip-phone-forum.de/showpost.php?p=857314&postcount=59).
    Ist also vermutlich nur eine Frage der Zeit...


    Jörg
     
  19. brainmue

    brainmue Neuer User

    Registriert seit:
    24 Juli 2006
    Beiträge:
    4
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Hey! Klasse! Danke!
    Das wäre ja echt spitze, wenn ich auch mal wieder mit meiner FBF WLAN mitspielen darf.
    Vielen Dank nochmal für die Infos.

    Gruß
    Michael
     
  20. kriegaex

    kriegaex Aktives Mitglied

    Registriert seit:
    7 Nov. 2006
    Beiträge:
    2,927
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Beruf:
    Projektmanagement-Coach (Certified Scrum Professio
    Ort:
    Großraum Nürnberg
    Wie ich dort bereits angedeutet hatte, ist es durchaus möglich, den Bootloader der Fon so zu patchen, daß er 32 MB erkennt und auf der Fon WLAN läuft und mit ihm dann auch die 2.6er FW samt DS-Mod. Keiner fühle sich ermutigt, das nachzumachen, aber es geht. Siehe auch Enriks Thread 7050 Platzmangel: Nachlöten statt Nachladen. Dort ist ein Link zu seiner Umrüstbeschreibung für die 7050, und dort wiederum steht etwas über den Wert der Speichergröße im Bootloader.

    Don't do this at home, kids! Otherwise you might end up with a paper weight instead of a router box...